One-shot envelope of every knowledge analytics pipe
GET
/
v1
/
analytics
/
knowledge
/
dashboard
One-shot envelope of every knowledge analytics pipe
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/analytics/knowledge/dashboard \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.featherhq.com/v1/analytics/knowledge/dashboard"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.featherhq.com/v1/analytics/knowledge/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adoption": [
{
"knowledge_base_id": "<string>",
"documents_active": 123,
"documents_failed": 123,
"documents_attempted": 123,
"adoption_rate_pct": 123,
"unique_documents": 123
}
],
"ingestion": [
{
"time_bucket": "2023-11-07T05:31:56Z",
"created": 123,
"completed": 123,
"failed": 123,
"success_rate_pct": 123
}
],
"latency": [
{
"time_bucket": "2023-11-07T05:31:56Z",
"terminal_events": 123,
"p50_ms": 123,
"p90_ms": 123,
"p95_ms": 123,
"p99_ms": 123,
"avg_ms": 123,
"max_ms": 123
}
],
"cleanup": [
{
"time_bucket": "2023-11-07T05:31:56Z",
"failed": 123,
"archived": 123,
"cleaned_up": 123,
"recovered": 123,
"net_unrecovered_failures": 123,
"cleanup_rate_pct": 123
}
],
"retrieval": [
{
"time_bucket": "2023-11-07T05:31:56Z",
"total": 123,
"hits": 123,
"misses": 123,
"reranked": 123,
"errors": 123,
"hit_rate_pct": 123,
"avg_results": 123,
"avg_duration_ms": 123,
"p50_ms": 123,
"p90_ms": 123,
"p95_ms": 123,
"p99_ms": 123
}
],
"inventory": {
"summary": {
"total_documents": 123,
"total_chunks": 123,
"total_tokens": 123,
"normalized_pct": 123,
"documents_failed_now": 123,
"documents_processing_now": 123,
"documents_quarantined_now": 123,
"knowledge_bases_count": 123
},
"by_source_type": [
{
"source_type": "<string>",
"documents": 123,
"chunks": 123,
"tokens": 123
}
],
"by_hash_method": [
{
"hash_method": "<string>",
"documents": 123,
"chunks": 123,
"tokens": 123
}
],
"growth": {
"created_24h": 123,
"created_7d": 123,
"created_30d": 123,
"failed_7d": 123,
"cleaned_up_7d": 123
}
},
"freshness": [
{
"knowledge_base_source_id": "<string>",
"knowledge_base_id": "<string>",
"provider": "<string>",
"last_status": "<string>",
"last_event_type": "<string>",
"last_items_processed": 123,
"last_items_succeeded": 123,
"last_items_failed": 123,
"last_items_unchanged": 123,
"last_event_at": "2023-11-07T05:31:56Z",
"time_since_last_event_seconds": 123,
"last_sync_started_at": "2023-11-07T05:31:56Z",
"last_sync_completed_at": "2023-11-07T05:31:56Z",
"last_duration_ms": 123,
"last_error_message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Pattern:
^(minute|hour|day|week)$Response
Successful Response
Single envelope returned by /v1/analytics/knowledge/dashboard.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
One-shot envelope of every knowledge analytics pipe
